searchNodes=[{"doc":"Introduction The Astrex library provides functions that perform astronomical calculations of various kinds. az2eq converts from horizontal to equatorial coordinates eq2az converts from equatorial to horizontal coordinates where_is returns the equatorial coordinates of the specified planet or the moon geomag returns the magnetic declination for the current location All these functions are location dependent (latitude and longitude) and generally are also time dependent. The library provides a genserver to host local coordinates, which is responsibility of the application to start, supervise and initialize with the local coordinates. All the functions from the main Astrex module will retrieve the local coordinates from the server and use the system time. This is handy for usage by applications that are geographically specific and work in real time, e.g. for telescope control. However, all the functions can be accessed directly from the respective modules by specifying the desired coordinate and timestamp. Bonus sidereal_speeds, a function to calculate the altitude and azimuth sidereal speeds for a sky point at any given altitude/azimuth (only available for current system time and current genserver location) Two calculation methods are provided. Both return consistent results, with some small difference which does not affect the telescope driving speeds, when used with typical gear ratios. Conventions The following conventions apply throughout the whole library (unless otherwise indicated): Longitudes East of Greenwich is POSITIVE: 0° to 180° Longitudes West of Greenwich is NEGATIVE: 0° to -180° Azimuth North is 0° Azimuth East is 90° Azimuth South is 180° Azimuth West is 270° Units Unless otherwise indicated. all data need to be expressed in degrees, not in deegrees:minutes:seconds nor in radians References The source of the algorithms is indicated in the docs of each function.","ref":"Astrex.html","title":"Astrex","type":"module"},{"doc":"Converts from AltAzimth coordinates to Equatorial Celestial coordinates Does not compensate for the refraction effect. If needed, the compensation can be applied to the coords argument before calling this function. See Astrex.Astro.Refraction module.","ref":"Astrex.html#az2eq/1","title":"Astrex.az2eq/1","type":"function"},{"doc":"Converts from Equatorial Celestial coordinates to AltAzimth coordinates Does not compensate for the refraction effect. If needed, the compensation can be applied to the results of this function. See Astrex.Astro.Refraction module.","ref":"Astrex.html#eq2az/1","title":"Astrex.eq2az/1","type":"function"},{"doc":"Calculates the magnetic deviation from true north, given the local site coordinates (latitude, longitude) and optionally the height above see level. The height is expressed in Km and defaults to zero. Returns a tuple with the following values, in this order: - magnetic declination - magnetic inclination - total magnetic field intensity - epoch of the current datafile The magnetic declination value shoud be added to a magnetic compass reading to get the real orientation (true north) of the device.","ref":"Astrex.html#mag_declination/1","title":"Astrex.mag_declination/1","type":"function"},{"doc":"Alternative method to calculate the sidereal speed starting from equatorial coordinates calculates the AltAz coordinates for current time calculates the AltAz coordinates for current time + one second calculates the difference, which are the speeds in degrees per second The results are very close to the sidereal speeds calculated with the mathematical method. The difference is not enough to impact on motors rotation Hz Examples iex&gt; Astrex . sidereal_speeds2 ( %{ alt : 45 , az : 10 } , 1 ) { 4.5187822290415625e-4 , 7.061364708533802e-4 }","ref":"Astrex.html#sidereal_speeds2/2","title":"Astrex.sidereal_speeds2/2","type":"function"},{"doc":"Calculates the sidereal speed, in degrees per second, for any given point from it's altitude and azimuth coordinates Source: &quot;A Mathematical Description of the Control System for the William Herschel Telescope&quot; R.A.Laing , Royal Greenwich Observatory &quot; pages 2 / 3 Examples iex&gt; Astrex . sidereal_speeds ( %{ alt : 45 , az : 10 } ) { 4.5061593459496844e-4 , 7.042059181503614e-4 }","ref":"Astrex.html#sidereal_speeds/1","title":"Astrex.sidereal_speeds/1","type":"function"},{"doc":"Returns the current equatorial coordinates of the Moon or planets (including Pluto). The coordinates are returned in Degrees (declination) and Hours (right ascension) Examples iex&gt; Astrex . where_is ( :saturn ) %{ dec : - 15.285237885762347 , ra : 21.665144627176584 } iex&gt; Astrex . where_is ( :moon ) %{ dec : 15.889732428707166 , ra : 2.705974878446635 }","ref":"Astrex.html#where_is/1","title":"Astrex.where_is/1","type":"function"},{"doc":"","ref":"Astrex.Application.html","title":"Astrex.Application","type":"module"},{"doc":"This module provides high accuracy functions to calculate key date values for further astronomical calculations. Greenwhich Mean Standard Time Local Sidereal Time Julian Day with decimal precision (if decimals not required, Timex.to_julian can be used instead) Julian Century Algorithms and coefficients to calculate GMST and LST have been taken form the following articles: https :// astronomy . stackexchange . com / questions / 24859 / local - sidereal - time https :// squarewidget . com / astronomical - calculations - sidereal - time /","ref":"Astrex.Astro.Dates.html","title":"Astrex.Astro.Dates","type":"module"},{"doc":"returns the number of the specified date from 31.12.2000 reference: calculations according to Jean Meeus &quot;Astronomical Algorithms&quot; chapter 7 - Julian Day","ref":"Astrex.Astro.Dates.html#day_number/1","title":"Astrex.Astro.Dates.day_number/1","type":"function"},{"doc":"Greenwitch Mean Sidereal Time for a given day/time site where to confirm the calculation for arbitrary location and current time https://astro.subhashbose.com/siderealtime/?longitude=9.15","ref":"Astrex.Astro.Dates.html#gmst/1","title":"Astrex.Astro.Dates.gmst/1","type":"function"},{"doc":"returns the julian centuries from 1.1.2000","ref":"Astrex.Astro.Dates.html#julian_century/1","title":"Astrex.Astro.Dates.julian_century/1","type":"function"},{"doc":"returns julian day for the given date/time. reference: calculations according to Jean Meeus &quot;Astronomical Algorithms&quot; chapter 7 - Julian Day receives a NaiveDateTime struct returns a float day.decimals if decimals are not necessary this can be easily replaced by the function: Timex.to_julian/1","ref":"Astrex.Astro.Dates.html#julian_day/1","title":"Astrex.Astro.Dates.julian_day/1","type":"function"},{"doc":"Local Sidereal Time for a given day/time receives longitude in DEGREES and date and time as NaiveDateTime struct returns sidereal time expressed in HOURS Conventions: Longitude is negative east of Greenwich The following example are time dependent and will return the shown results only in testing environment Examples iex&gt; Astrex.Astro.Dates . local_sidereal_time ( 9.15 , Astrex.Common . ndt_now ( ) ) |&gt; Astrex.Common . hours2hms &quot;00:08:11&quot;","ref":"Astrex.Astro.Dates.html#local_sidereal_time/2","title":"Astrex.Astro.Dates.local_sidereal_time/2","type":"function"},{"doc":"Calculates the Earth Magnetic field basing on local coordinates and (optionally) altitude. The calculations model is the WMM (World Magnetic Model). More information available here: https :// www . ngdc . noaa . gov / geomag / WMM / The datafile WMM.COF https :// www . ngdc . noaa . gov / geomag / WMM / data / WMM2020 / WMM2020COF . zip is valid until 2025 and will be replaced when the next one will be released Calculations results have been compared to the results of this calculator's https :// www . ngdc . noaa . gov / geomag / calculators / magcalc . shtml #declination and the prove accurate with an error margin of about 1/100° likely due to floating point roundings This code has been directly ported from a python implementation available at https :// github . com / cmweiss / geomag / blob / master / geomag / geomag / geomag . py","ref":"Astrex.Astro.GeoMag.html","title":"Astrex.Astro.GeoMag","type":"module"},{"doc":"Requires latitude and longitude expressed in decimal degrees (not deg, min, sec) Latitude: between 0° and 90° -- southern latitudes are negative Longitude: between 0° and +/- 180° -- western logitudes are negative Altitude: in km above sea level - optional parameter, default is 0 Returns dec : magnetic declination dip : magnetic inclination ti : total intensity epoch : Epoch of the current datafile Examples iex&gt; Astrex.Astro.GeoMag . mag_declination ( %{ lat : 45.5 , long : 9.15 } ) { 3.3219734037666426 , 61.709940202847136 , 47715.72107126719 , &quot;2020.0&quot; }","ref":"Astrex.Astro.GeoMag.html#mag_declination/2","title":"Astrex.Astro.GeoMag.mag_declination/2","type":"function"},{"doc":"This module exports one function that computes the Moon coordinates according to algoritm and QBasic source code from: http://www.stargazing.net/kepler/moon.html QBasic code. http://stargazing.net/kepler/moon2.html this is faster than Meeus algoritm and reasonably accurate (4 arcminutes 99% of the times 1 arcmin 50% of times)","ref":"Astrex.Astro.Moon.html","title":"Astrex.Astro.Moon","type":"module"},{"doc":"receives a NaiveDateTime struct returns the Moon's coordinates (RA/DEC) at the specified date/time","ref":"Astrex.Astro.Moon.html#moon/1","title":"Astrex.Astro.Moon.moon/1","type":"function"},{"doc":"Refraction can change significantly the apparent altitude of an object. The change depends solely on the altitude and is maximun on the horizon (objects may appear above the horizon when they are actually still below) and zero at the zenith This module exports functions to calculate the true altitude given the apparent one, and to calculate the apparent altitude if the true one is known - typically calculated starting from equatorial coordinate system. The algorithms are taken from Jean Meeus book: &quot;Astronomical Algorithms&quot; Chapter 16 - Atmospheric Refraction","ref":"Astrex.Astro.Refraction.html","title":"Astrex.Astro.Refraction","type":"module"},{"doc":"Receives a T.altazimuth map including the true altitude. Returns a T.altazimuth map including the apparent altitude. The true altitude is calculated from the equatorial coordinates of the object. The apparent altitude corresponds to where the digital setting circles must aim to center the object Examples iex&gt; Astrex.Astro.Refraction . apparent_alt ( %{ alt : 45 , az : 180 } ) %{ alt : 45.016878460981225 , az : 180 }","ref":"Astrex.Astro.Refraction.html#apparent_alt/1","title":"Astrex.Astro.Refraction.apparent_alt/1","type":"function"},{"doc":"Receives a T.altazimuth map including the apparent altitude Returns a T.altazimuth map including the true altitude The apparent altitude corresponds to the digital setting circles readings The true altitude allows to precisely calculate the equatorial coordinates of the point the telescope is aiming at. Examples iex&gt; Astrex.Astro.Refraction . true_alt ( %{ alt : 45 , az : 180 } ) %{ alt : 44.98341920053572 , az : 180 }","ref":"Astrex.Astro.Refraction.html#true_alt/1","title":"Astrex.Astro.Refraction.true_alt/1","type":"function"},{"doc":"This module exports only one function to retrieve the current equatorial coordinates of the 9 planets (including Pluto) and of the Moon (via the Astrex.Astro.Moon module) The coordinates are returned in Degrees (declination) and Hours (right ascension) Algoritm and original javascript source code from https://cdpn.io/lulunac27/fullpage/NRoyxE - planets","ref":"Astrex.Astro.SolarSystem.html","title":"Astrex.Astro.SolarSystem","type":"module"},{"doc":"Receives an atom (requested object) and a datetime returns the coordinates (RA/DEC) of the requested object valid atoms: :mercury :venus :moon :mars :jupiter :saturn :uranus :neptune :pluto","ref":"Astrex.Astro.SolarSystem.html#where_is/2","title":"Astrex.Astro.SolarSystem.where_is/2","type":"function"},{"doc":"The module exports functions to convert from different coordinates systems AltAzimuth to Equatorial Equatorial to AltAzimuth Ecliptic to Equatorial Equatorial to Ecliptical Unless otherwise stated the formulas are implemented according to the Jean Meeus book: &quot;Astronomical Algorithms&quot; Chapter 13 - Transformation of Coordinates The following conventions apply: Longitudes East of Greenwich is POSITIVE : 0 ° to 180 ° Longitudes West of Greenwich is NEGATIVE : 0 ° to - 180 ° Azimuth North is 0 ° Azimuth East is 90 ° Azimuth South is 180 ° Azimuth West is 270 ° All data need to be expressed in radians, not in degrees or hours","ref":"Astrex.Astro.Transforms.html","title":"Astrex.Astro.Transforms","type":"module"},{"doc":"Converts from AltAzimth coordinates to Equatorial Celestial coordinates Follows the Azimuth convention of South @ 180 ° ( performs the necessary conversion to comply to Meeus algo which is South @ 0 ° ) Receives: map: Altitude, Azimuth in DEGREES map : Latitude , Longitude in DEGREES NaiveDateTime Returns : map: Right Ascension, Declination in DEGREES Note: does NOT take refraction into account","ref":"Astrex.Astro.Transforms.html#az2eq/3","title":"Astrex.Astro.Transforms.az2eq/3","type":"function"},{"doc":"Converts ecliptical latitude and logitude to equatorial AR / DEC at a given time Opposite to eq2ecl, there are no reliable test numbers available Therefore this function can only be tested via round trip together with eq2ecl Examples iex&gt; test = %{ dec : 25.989 , ra : 277.892 } # or whatever coordinates iex&gt; date = Astrex.Common . ndt_now ( ) iex&gt; Astrex.Astro.Transforms . eq2ecl ( test , date ) |&gt; Astrex.Astro.Transforms . ecl2eq ( date ) %{ dec : 25.989000000000008 , ra : 277.89199999999994 } PASSES with float operations approximation","ref":"Astrex.Astro.Transforms.html#ecl2eq/2","title":"Astrex.Astro.Transforms.ecl2eq/2","type":"function"},{"doc":"Converts from Equatorial Celestial coordinates to AltAzimth coordinates according to Jean Meeus Algorithm Follows the Azimuth convention of South @ 180 ° ( performs the necessary conversion to comply to Meeus algo which is South @ 0 ° ) Receives: map: Right Ascension and Declination in DEGREES map : Latitude , Longitude in DEGREES NaiveDateTime Returns : map: Altitude and Azimuth in DEGREES (see Meeus Astronomical Algorithms page 95 example 13.b) Examples: iex&gt; site = %{ lat : 38.921 , long : 77.065 } iex&gt; obj = %{ ra : 347.316 , dec : - 6.719 } iex&gt; date = ~N[1987-04-10 19:21:00] iex&gt; Astrex.Astro.Transforms . eq2az ( obj , site , date ) %{ alt : 15.122211840841763 , az : 248.037813189937 } Note : the example from the book returns az : 68.037813189937 because the azimuth convention is 0 ° South . We use 180 ° for south .","ref":"Astrex.Astro.Transforms.html#eq2az/3","title":"Astrex.Astro.Transforms.eq2az/3","type":"function"},{"doc":"Converts equatorial AR / DEC to ecliptical latitude and logitude at a given time Receives: RA/DEC expressed in DEGREES Returns: Longitude/Latitude (ecliptical) expressed in DEGREES Examples iex&gt; date = ~N[1987-04-10 00:00:00] iex&gt; obj = %{ ra : 116.328942 , dec : 28.026183 } iex&gt; Astrex.Astro.Transforms . eq2ecl ( obj , date ) %{ lambda : 113.215630 , beta : 6.68417 } # in degrees PASSES with float operations approximation","ref":"Astrex.Astro.Transforms.html#eq2ecl/2","title":"Astrex.Astro.Transforms.eq2ecl/2","type":"function"},{"doc":"Common utilities to facilitate the astronomical calculations unit conversions: hours, degrees, angles normalizations within 360°, 2PI, 24 hours conversion from hour:minutes:seconds to hours and back conversion from degree:minutes:seconds to degrees and back","ref":"Astrex.Common.html","title":"Astrex.Common","type":"module"},{"doc":"formats an angle from degrees to a string &quot;dd:mm:ss&quot; Examples iex&gt; Astrex.Common . hours2hms ( 174.1234 ) &quot;174:07:24&quot;","ref":"Astrex.Common.html#deg2dms/1","title":"Astrex.Common.deg2dms/1","type":"function"},{"doc":"converts an angle expressed in degrees to an angle expressed in hours","ref":"Astrex.Common.html#deg2hours/1","title":"Astrex.Common.deg2hours/1","type":"function"},{"doc":"Converts a &quot;dd:mm:ss&quot; string to degrees Receives the angle in d° m' s&quot; as a binary string Returns the angle in DEGREES (float)","ref":"Astrex.Common.html#dms2deg/1","title":"Astrex.Common.dms2deg/1","type":"function"},{"doc":"Converts a &quot;hh:mm:ss&quot; string to hours receives a binary string returns HOURS in float format Examples iex&gt; Astrex.Common . hms2hours ( &quot;12:33:31&quot; ) 12.558611111111112","ref":"Astrex.Common.html#hms2hours/1","title":"Astrex.Common.hms2hours/1","type":"function"},{"doc":"converts an angle expressed in hours to an angle expressed in degrees","ref":"Astrex.Common.html#hours2deg/1","title":"Astrex.Common.hours2deg/1","type":"function"},{"doc":"formats an hour from hours to a string &quot;hh:mm:ss&quot; Examples iex&gt; Astrex.Common . hours2hms ( 12.5587 ) &quot;12:33:31&quot;","ref":"Astrex.Common.html#hours2hms/1","title":"Astrex.Common.hours2hms/1","type":"function"},{"doc":"converts an angle expressed in hours to an angle expressed in radians","ref":"Astrex.Common.html#hours2rad/1","title":"Astrex.Common.hours2rad/1","type":"function"},{"doc":"Converts all values of a map from radians to degrees.","ref":"Astrex.Common.html#map2deg/1","title":"Astrex.Common.map2deg/1","type":"function"},{"doc":"Converts all values of a map from degrees to radians.","ref":"Astrex.Common.html#map2rad/1","title":"Astrex.Common.map2rad/1","type":"function"},{"doc":"returns the current time: system time if production mock time is testing","ref":"Astrex.Common.html#ndt_now/0","title":"Astrex.Common.ndt_now/0","type":"function"},{"doc":"Normalizes an angle into the range 0-2 pi Receives the angle in RADIANS Returns the normalized angle in RADIANS","ref":"Astrex.Common.html#norm_2pi/1","title":"Astrex.Common.norm_2pi/1","type":"function"},{"doc":"Normalizes an hour angle into the range 0-24 hours Receives the angle in HOURS Returns the normalized angle in HOURS","ref":"Astrex.Common.html#norm_24h/1","title":"Astrex.Common.norm_24h/1","type":"function"},{"doc":"Normalizes an angle into the range 0°-360° Receives the angle in DEGREES Returns the normalized angle in DEGREES","ref":"Astrex.Common.html#norm_360/1","title":"Astrex.Common.norm_360/1","type":"function"},{"doc":"converts an angle expressed in radians to an angle expressed in hours","ref":"Astrex.Common.html#rad2hours/1","title":"Astrex.Common.rad2hours/1","type":"function"},{"doc":"This module provides functions to query for DeepSky objects recorded in the NGC and IC catalogs The catalog is taken from https://github.com/mattiaverga/OpenNGC (License CC-BY-4.0) and saved locally in priv directory Some columns have been dropped for space sake. The available columns are 0 : Name IC or NGC index 1 : Type G : Galaxy , Neb : Nebula , OCl : Open Cluster , GCl : Globular Cluster 2 : RA Right Ascension 3 : Dec Declination 4 : Const Constellation 5 : B - Mag Magnitude 6 : M Messier index , if existing The following searches are provided by direct calatog and id# - will return one item, if found by specifying the maximum magnitude, object type, minimum altitude on the horizon and if the search should be limited to Messier objects the object types that can be specified, as atoms, are: galaxies: openclusters: globularclusters: nebulas: (all kinds) Note: Coordinates of the objects are returned in DMS and HMS (strings) this is how they are stored in the catalog and are not converted in order not to loose compatibility with new possible catalog releases .","ref":"Astrex.DeepSky.html","title":"Astrex.DeepSky","type":"module"},{"doc":"finds the specified object basing on the catalog and the id catalog can be :messier, :ngc or :ic returns a map for the object or empty map if the requested object is below the minimum altitude. if the minimum altitude is not specified, it is defaulted to 0° i.e. above the horizon Examples iex&gt; Astrex.Server . start_link iex&gt; Astrex.DeepSky . find_object ( :messier , 1 ) %{ ar : &quot;05:34:31.97&quot; , constellation : &quot;Tau&quot; , decl : &quot;+22:00:52.1&quot; , id : &quot;NGC1952&quot; , kind : &quot;SNR&quot; , magnitude : &quot;&quot; , messier : &quot;1&quot; } iex&gt; Astrex.DeepSky . find_object ( :ngc , 1952 ) %{ ar : &quot;05:34:31.97&quot; , constellation : &quot;Tau&quot; , decl : &quot;+22:00:52.1&quot; , id : &quot;NGC1952&quot; , kind : &quot;SNR&quot; , magnitude : &quot;&quot; , messier : &quot;1&quot; } NGC 6554 is more than 15° below the horizon (on testing fake datetime and location) iex&gt; Astrex.DeepSky . find_object ( :ngc , 6554 , - 15 ) %{ } but it is found with searches down to -25° below the horizon (on testing fake datetime and location) iex&gt; Astrex.DeepSky . find_object ( :ngc , 6554 , - 25 ) %{ ar : &quot;18:09:23.98&quot; , constellation : &quot;Sgr&quot; , decl : &quot;-18:22:43.3&quot; , id : &quot;NGC6554&quot; , kind : &quot;OCl&quot; , magnitude : &quot;&quot; , messier : &quot;&quot; }","ref":"Astrex.DeepSky.html#find_object/3","title":"Astrex.DeepSky.find_object/3","type":"function"},{"doc":"","ref":"Astrex.DeepSky.html#select_objects/2","title":"Astrex.DeepSky.select_objects/2","type":"function"},{"doc":"","ref":"Astrex.DeepSky.html#select_objects/3","title":"Astrex.DeepSky.select_objects/3","type":"function"},{"doc":"finds all objects that meet the specifications: maximum magnitude (anything as bright or brigther matches) type of object (galaxies, open_clusters, globular_clusters, nebulas) only from messier catalog pass the filter not lower on the horizon than minimum_altitude degrees. Defaults to zero. Negative altitudes are accepted to allow search for objects below the horizons. accepts up to 4 arguments: magnitude - required, integer type - required, atom mes_only - optional, boolean. When not specified defaults to false minimum_altitude - optional, integer. When not specified defaults to zero returns a list of objects Examples iex&gt; Astrex.Server . start_link iex&gt; Astrex.DeepSky . select_objects ( 10 , :nebulas , true , 25 ) [ [ &quot;NGC6720&quot; , &quot;PN&quot; , &quot;18:53:35.01&quot; , &quot;+33:01:42.9&quot; , &quot;Lyr&quot; , &quot;9.70&quot; , &quot;57&quot; ] , [ &quot;NGC6853&quot; , &quot;PN&quot; , &quot;19:59:36.38&quot; , &quot;+22:43:15.7&quot; , &quot;Vul&quot; , &quot;7.60&quot; , &quot;27&quot; ] ] Two Messier nebulas found 25°+ above the horizon at the mock time/mock location iex&gt; Astrex.Server . start_link iex&gt; Astrex.DeepSky . select_objects ( 10 , :nebulas , 25 ) [ [ &quot;IC0405&quot; , &quot;Neb&quot; , &quot;05:16:29.48&quot; , &quot;+34:21:22.2&quot; , &quot;Aur&quot; , &quot;10.00&quot; , &quot;&quot; ] , [ &quot;IC1805&quot; , &quot;Cl+N&quot; , &quot;02:32:41.51&quot; , &quot;+61:27:24.8&quot; , &quot;Cas&quot; , &quot;7.03&quot; , &quot;&quot; ] , [ &quot;IC1848&quot; , &quot;Cl+N&quot; , &quot;02:51:10.59&quot; , &quot;+60:24:08.9&quot; , &quot;Cas&quot; , &quot;6.87&quot; , &quot;&quot; ] , [ &quot;IC5070&quot; , &quot;HII&quot; , &quot;20:51:00.72&quot; , &quot;+44:24:05.4&quot; , &quot;Cyg&quot; , &quot;8.00&quot; , &quot;&quot; ] , [ &quot;IC5146&quot; , &quot;Cl+N&quot; , &quot;21:53:28.76&quot; , &quot;+47:16:00.9&quot; , &quot;Cyg&quot; , &quot;7.82&quot; , &quot;&quot; ] , [ &quot;NGC0246&quot; , &quot;PN&quot; , &quot;00:47:03.36&quot; , &quot;-11:52:19.0&quot; , &quot;Cet&quot; , &quot;8.00&quot; , &quot;&quot; ] , [ &quot;NGC1499&quot; , &quot;Neb&quot; , &quot;04:03:14.42&quot; , &quot;+36:22:02.9&quot; , &quot;Per&quot; , &quot;5.00&quot; , &quot;&quot; ] , [ &quot;NGC1555&quot; , &quot;RfN&quot; , &quot;04:21:59.43&quot; , &quot;+19:32:06.6&quot; , &quot;Tau&quot; , &quot;9.98&quot; , &quot;&quot; ] , [ &quot;NGC6543&quot; , &quot;PN&quot; , &quot;17:58:33.39&quot; , &quot;+66:37:59.5&quot; , &quot;Dra&quot; , &quot;9.79&quot; , &quot;&quot; ] , [ &quot;NGC6720&quot; , &quot;PN&quot; , &quot;18:53:35.01&quot; , &quot;+33:01:42.9&quot; , &quot;Lyr&quot; , &quot;9.70&quot; , &quot;57&quot; ] , [ &quot;NGC6823&quot; , &quot;Cl+N&quot; , &quot;19:43:09.89&quot; , &quot;+23:17:59.8&quot; , &quot;Vul&quot; , &quot;7.71&quot; , &quot;&quot; ] , [ &quot;NGC6853&quot; , &quot;PN&quot; , &quot;19:59:36.38&quot; , &quot;+22:43:15.7&quot; , &quot;Vul&quot; , &quot;7.60&quot; , &quot;27&quot; ] , [ &quot;NGC6888&quot; , &quot;HII&quot; , &quot;20:12:06.55&quot; , &quot;+38:21:17.8&quot; , &quot;Cyg&quot; , &quot;7.44&quot; , &quot;&quot; ] , [ &quot;NGC6960&quot; , &quot;SNR&quot; , &quot;20:45:58.18&quot; , &quot;+30:35:42.5&quot; , &quot;Cyg&quot; , &quot;7.00&quot; , &quot;&quot; ] , [ &quot;NGC6992&quot; , &quot;SNR&quot; , &quot;20:56:19.07&quot; , &quot;+31:44:33.9&quot; , &quot;Cyg&quot; , &quot;7.00&quot; , &quot;&quot; ] , [ &quot;NGC6995&quot; , &quot;SNR&quot; , &quot;20:57:10.76&quot; , &quot;+31:14:06.6&quot; , &quot;Cyg&quot; , &quot;7.00&quot; , &quot;&quot; ] , [ &quot;NGC7000&quot; , &quot;HII&quot; , &quot;20:59:17.14&quot; , &quot;+44:31:43.6&quot; , &quot;Cyg&quot; , &quot;4.00&quot; , &quot;&quot; ] , [ &quot;NGC7023&quot; , &quot;Neb&quot; , &quot;21:01:35.62&quot; , &quot;+68:10:10.4&quot; , &quot;Cep&quot; , &quot;7.20&quot; , &quot;&quot; ] , [ &quot;NGC7380&quot; , &quot;Cl+N&quot; , &quot;22:47:21.01&quot; , &quot;+58:07:56.7&quot; , &quot;Cep&quot; , &quot;7.62&quot; , &quot;&quot; ] , [ &quot;NGC7662&quot; , &quot;PN&quot; , &quot;23:25:53.90&quot; , &quot;+42:32:05.8&quot; , &quot;And&quot; , &quot;9.20&quot; , &quot;&quot; ] ] The same selection returns 20 objects if the Messier requirement is not specified","ref":"Astrex.DeepSky.html#select_objects/4","title":"Astrex.DeepSky.select_objects/4","type":"function"},{"doc":"Provides a GenServer to hold the local coordinates. This is useful for applications that are localized (e.g. telescope control) and makes possible to access the functions via the Astrex module, without supplying the local coordinates each time. Use of the GenServer is by no means mandatory. All the functions can be accessed via the Astrex.Astro.* modules. If the GenServer is used it is responsibility of the application to start, initialize and supervise it","ref":"Astrex.Server.html","title":"Astrex.Server","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Astrex.Server.html#child_spec/1","title":"Astrex.Server.child_spec/1","type":"function"},{"doc":"","ref":"Astrex.Server.html#get_ll/0","title":"Astrex.Server.get_ll/0","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"Astrex.Server.html#init/1","title":"Astrex.Server.init/1","type":"function"},{"doc":"","ref":"Astrex.Server.html#set_ll/1","title":"Astrex.Server.set_ll/1","type":"function"},{"doc":"The Genserver is initialized using Greenwich coordinates, unless local coordinates are specified","ref":"Astrex.Server.html#start_link/2","title":"Astrex.Server.start_link/2","type":"function"},{"doc":"","ref":"Astrex.Server.html#stop/0","title":"Astrex.Server.stop/0","type":"function"},{"doc":"","ref":"Astrex.Types.html","title":"Astrex.Types","type":"module"},{"doc":"","ref":"Astrex.Types.html#t:altazimuth/0","title":"Astrex.Types.altazimuth/0","type":"type"},{"doc":"","ref":"Astrex.Types.html#t:ecliptical/0","title":"Astrex.Types.ecliptical/0","type":"type"},{"doc":"","ref":"Astrex.Types.html#t:equatorial/0","title":"Astrex.Types.equatorial/0","type":"type"},{"doc":"","ref":"Astrex.Types.html#t:latlong/0","title":"Astrex.Types.latlong/0","type":"type"},{"doc":"","ref":"Astrex.Types.html#t:solar_system/0","title":"Astrex.Types.solar_system/0","type":"type"},{"doc":"Astrex is an astronomy library written in Elixir provides functions to perfom typical astronomy calculations such as: coordinates conversion between equatorial and horizontal coordinates calculates the position of solar system objects (Moon and planets) calculates the magnetic declination to enable finding the &quot;true north&quot; includes a full blown NGC and IC objects database with query functionalities","ref":"readme.html","title":"Astrex","type":"extras"},{"doc":"If available in Hex , the package can be installed by adding astrex to your list of dependencies in mix.exs : def deps do [ { :astrex , &quot;~&gt; 0.3.0&quot; } ] end Documentation can be generated with ExDoc and published on HexDocs . Once published, the docs can be found at https://hexdocs.pm/astrex .","ref":"readme.html#installation","title":"Astrex - Installation","type":"extras"}]